Subject: Re: _High_ CPU usage while routing (mostly) small UDP packets

From: Karsten Desler <[email-masked]>
Date: Tue, 7 Dec 2004 11:21:32 +0100

Karsten Desler <[email-masked]> wrote:
> * jamal wrote:
> > Beats me. Make sure it boots NAPI. Also if you can turn off ITR; intel
> > loves to turn on that silly feature.
> 
> ITR was in fact activated. I think i've disabled it now
> (e1000.InterruptThrottleRate=0 in the kernel cmdline).
> And as I'm reading the e1000 code, there is no way to enable/disable
> NAPI without a recompile. So the fact that ethtool spat out -NAPI in
> the version string means that NAPI is actually used.

But looking and the int/s number, I'm not so sure anymore. Is there any
other way to find out?

# ethtool -i eth0|grep ^vers
version: 5.5.4-k2-NAPI
# ethtool -i eth1|grep ^vers
version: 5.5.4-k2-NAPI

           CPU0       CPU1
169:          5  115554253   IO-APIC-level  eth0
177:   78998347       5568   IO-APIC-level  eth1

# sar -I 169 5 5
11:20:05         INTR    intr/s
11:20:10          169  10401.40
11:20:15          169  10579.80
11:20:20          169  10965.20
11:20:25          169  10768.20
11:20:30          169  10460.60
Average:          169  10635.04

# sar -I 177 5 5
11:18:50         INTR    intr/s
11:18:55          177   4769.74
11:19:00          177   4780.80
11:19:05          177   4669.74
11:19:10          177   4724.55
11:19:15          177   4748.50
Average:          177   4738.67

Cheers,
 Karsten